
#include <stdio.h>
#include <stdlib.h>
#include "ebuild.h"

#define max_length 66000

int main (int argc, char *argv[])
{
  char buffer[max_length];
  int length;
  int no;
  FILE *save;
  if(argc==2) save = fopen(argv[1],"w");
  else save = stdout;
  if(save==NULL) {perror("fopen");abort();}
  printf ("Initialize ebuild library...\n");
  ebuild_init ();
  for (no = 0;; no++)
    {
      int i;
      printf ("Waiting for data to arrive...\n");
      length = ebuild_get_event (buffer, max_length);
      if(save!=stdout) fprintf (stdout,"received an event of %d bytes.\n", length);
      fprintf (save,"received an event of %d bytes:", length);
      for (i = 0; i < length; i++) {
			  	if(i%16==0) fprintf(save,"\n%08x:\t",i);
			  	fprintf(save,"%02x ", (int)(buffer[i]%0xff));
	  }
      fprintf(save,"\n---- END ----\n");
	  fflush(save);
    }
  return 0;
}
